For the complete documentation index, see llms.txt. This page is also available as Markdown.

Swish Configuration

Swish tournament platform integration settings.

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

Returns the Swish configuration

application/json
apiKeystringRequired

Swish API key for tournament management (masked)

Example: swish_********
apiUrlstringRequired

Swish API URL for tournament management

Example: https://us-central1-swish-398ec.cloudfunctions.net/api-v1
isEnabledbooleanRequired

Whether Swish integration is enabled

Example: true
get/tenants/{tenantId}/integrations/swish
GET /apis/v2/tenants/{tenantId}/integrations/swish HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "apiKey": "swish_********",
  "apiUrl": "https://us-central1-swish-398ec.cloudfunctions.net/api-v1",
  "isEnabled": true
}
patch
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
apiKeystringOptional

Swish API key for tournament management (masked)

Example: swish_********
apiUrlstringOptional

Swish API URL for tournament management

Example: https://us-central1-swish-398ec.cloudfunctions.net/api-v1
Responses
200

Returns the updated Swish configuration

application/json
apiKeystringRequired

Swish API key for tournament management (masked)

Example: swish_********
apiUrlstringRequired

Swish API URL for tournament management

Example: https://us-central1-swish-398ec.cloudfunctions.net/api-v1
isEnabledbooleanRequired

Whether Swish integration is enabled

Example: true
patch/tenants/{tenantId}/integrations/swish
PATCH /apis/v2/tenants/{tenantId}/integrations/swish HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 96

{
  "apiKey": "swish_********",
  "apiUrl": "https://us-central1-swish-398ec.cloudfunctions.net/api-v1"
}
{
  "apiKey": "swish_********",
  "apiUrl": "https://us-central1-swish-398ec.cloudfunctions.net/api-v1",
  "isEnabled": true
}

Last updated

Was this helpful?